package com.cloudhandson.vpdbackoffice.domain.protectedobject;

import jakarta.validation.constraints.NotBlank;

public record ProtectedObjectCreateCommand(
    @NotBlank String owner,
    @NotBlank String objectName,
    @NotBlank String ordsPath,
    String columns,
    String sensitiveColumns,
    String description
) {

  public ProtectedObjectCreateCommand(
      String owner,
      String objectName,
      String ordsPath,
      String columns,
      String sensitiveColumns
  ) {
    this(owner, objectName, ordsPath, columns, sensitiveColumns, null);
  }
}
